FreeMat

- Main Page
- Related Pages

vtkTreeRingToPolyData

Section: Visualization Toolkit Infovis Classes

# Usage

This algorithm requires that the vtkTreeRingLayout filter has already been applied to the data in order to create the quadruple array (start angle, end angle, inner radius, outer radius) of bounds for each vertex of the tree.

To create an instance of class vtkTreeRingToPolyData, simply invoke its constructor as follows

      obj = vtkTreeRingToPolyData

# Methods

The class vtkTreeRingToPolyData has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkTreeRingToPolyData class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkTreeRingToPolyData = obj.NewInstance ()`
- `vtkTreeRingToPolyData = obj.SafeDownCast (vtkObject o)`
- `obj.SetSectorsArrayName (string name)` - Define a shrink percentage for each of the sectors.
- `obj.SetShrinkPercentage (double )` - Define a shrink percentage for each of the sectors.
- `double = obj.GetShrinkPercentage ()` - Define a shrink percentage for each of the sectors.
- `int = obj.FillInputPortInformation (int port, vtkInformation info)`